XMLType (Axis API)
Keywords: javax.xml.rpc.encoding.XMLType class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.rpc.encoding
Class XMLType

    java.lang.Object
      javax.xml.rpc.encoding.XMLType

public class XMLType
extends java.lang.Object

Constants representing XML Types.

Version:
  1.0

Field Summary
`static QName` | `SOAP_ARRAY` SOAP type for Array.
`static QName` | `SOAP_BASE64` SOAP type for base64.
`static QName` | `SOAP_BOOLEAN` SOAP type for boolean.
`static QName` | `SOAP_BYTE` SOAP type for byte.
`static QName` | `SOAP_DOUBLE` SOAP type for double.
`static QName` | `SOAP_FLOAT` SOAP type for float.
`static QName` | `SOAP_INT` SOAP type for int.
`static QName` | `SOAP_LONG` SOAP type for long.
`static QName` | `SOAP_SHORT` SOAP type for short.
`static QName` | `SOAP_STRING` SOAP type for string.
`static QName` | `XSD_BASE64` XSD type for base64Binary.
`static QName` | `XSD_BOOLEAN` XSD type for boolean.
`static QName` | `XSD_BYTE` XSD type for byte.
`static QName` | `XSD_DATETIME` XSD type for dateTime.
`static QName` | `XSD_DECIMAL` XSD type for decimal.
`static QName` | `XSD_DOUBLE` XSD type for double.
`static QName` | `XSD_FLOAT` XSD type for float.
`static QName` | `XSD_HEXBINARY` XSD type for hexBinary.
`static QName` | `XSD_INT` XSD type for int.
`static QName` | `XSD_INTEGER` XSD type for integer.
`static QName` | `XSD_LONG` XSD type for long.
`static QName` | `XSD_QNAME` XSD type for QName.
`static QName` | `XSD_SHORT` XSD type for short.
`static QName` | `XSD_STRING` XSD type for string.

Constructor Summary
`XMLType()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### XSD_STRING

    public static final QName XSD_STRING

  XSD type for string.

### XSD_FLOAT

    public static final QName XSD_FLOAT

  XSD type for float.

### XSD_BOOLEAN

    public static final QName XSD_BOOLEAN

  XSD type for boolean.

### XSD_DOUBLE

    public static final QName XSD_DOUBLE

  XSD type for double.

### XSD_INTEGER

    public static final QName XSD_INTEGER

  XSD type for integer.

### XSD_INT

    public static final QName XSD_INT

  XSD type for int.

### XSD_LONG

    public static final QName XSD_LONG

  XSD type for long.

### XSD_SHORT

    public static final QName XSD_SHORT

  XSD type for short.

### XSD_DECIMAL

    public static final QName XSD_DECIMAL

  XSD type for decimal.

### XSD_BASE64

    public static final QName XSD_BASE64

  XSD type for base64Binary.

### XSD_HEXBINARY

    public static final QName XSD_HEXBINARY

  XSD type for hexBinary.

### XSD_BYTE

    public static final QName XSD_BYTE

  XSD type for byte.

### XSD_DATETIME

    public static final QName XSD_DATETIME

  XSD type for dateTime.

### XSD_QNAME

    public static final QName XSD_QNAME

  XSD type for QName.

### SOAP_STRING

    public static final QName SOAP_STRING

  SOAP type for string.

### SOAP_BOOLEAN

    public static final QName SOAP_BOOLEAN

  SOAP type for boolean.

### SOAP_DOUBLE

    public static final QName SOAP_DOUBLE

  SOAP type for double.

### SOAP_BASE64

    public static final QName SOAP_BASE64

  SOAP type for base64.

### SOAP_FLOAT

    public static final QName SOAP_FLOAT

  SOAP type for float.

### SOAP_INT

    public static final QName SOAP_INT

  SOAP type for int.

### SOAP_LONG

    public static final QName SOAP_LONG

  SOAP type for long.

### SOAP_SHORT

    public static final QName SOAP_SHORT

  SOAP type for short.

### SOAP_BYTE

    public static final QName SOAP_BYTE

  SOAP type for byte.

### SOAP_ARRAY

    public static final QName SOAP_ARRAY

  SOAP type for Array.

Constructor Detail

### XMLType

    public XMLType()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.